Package com.independentsoft.office.odf

# Enum Class ContentStory

java.lang.Object
java.lang.Enum<ContentStory>
com.independentsoft.office.odf.ContentStory

All Implemented Interfaces:
  `Serializable`, `Comparable<ContentStory>`, `Constable`

public enum ContentStory extends Enum<ContentStory>
Specifies the part of a document a content element was found in.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANNOTATION`
  An annotation.
  `BODY`
  The document body.
  `FOOTER`
  The footer of a master page.
  `HEADER`
  The header of a master page.
  `NOTE`
  A footnote or an endnote.
  `SHAPE`
  A drawing shape.
  `TEXT_BOX`
  A text box.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContentStory`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ContentStory[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BODY

    public static final ContentStory BODY
    The document body.

  - ### HEADER

    public static final ContentStory HEADER
    The header of a master page.

  - ### FOOTER

    public static final ContentStory FOOTER
    The footer of a master page.

  - ### NOTE

    public static final ContentStory NOTE
    A footnote or an endnote.

  - ### ANNOTATION

    public static final ContentStory ANNOTATION
    An annotation.

  - ### TEXT_BOX

    public static final ContentStory TEXT_BOX
    A text box.

  - ### SHAPE

    public static final ContentStory SHAPE
    A drawing shape.

- ## Method Details

  - ### values

    public static ContentStory[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ContentStory valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null